/*******************************
        PUBLIC STYLES
*******************************/
@font-face {
    font-family: Bahnschrift;
    src: url(fonts/BAHNSCHRIFT.TTF);
}

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

:root {
    --main-color: #fcac1b;
    --dark-color: #232020;
    --bg-color: #232020;
    --border-rad: .5rem;
    font-size: 14px !important;
}

::selection {
    background-color: var(--main-color);
}

body {
    font-family: Arial, Helvetica, sans-serif;
    background-color: var(--bg-color);
    color: #fff;
    line-height: normal;
}

body.light {
    --main-color: #fcac1b;
    --bg-color: #f3f3f3;
    color: #232020;
}

input,
textarea {
    box-shadow: none;
    outline: none;
    border: none;
}

textarea {
    resize: vertical;
}

input[type="file"] {
    display: none;
}

body.light input,
body.light textarea {
    border: 1px solid #232020;
}

button {
    background: none;
    border: none;
    cursor: pointer;
    padding: .5rem;
    font-size: inherit;
    color: inherit;
    max-height: 3rem;
}

img {
    max-width: 100%;
}

.app {
    width: 100%;
    min-height: 100vh;
}

.app-wrapper {
    padding: 2rem 0;
}

.container {
    width: 96%;
    margin: auto;
    padding: 0;
}

.row {
    display: flex;
    margin: 0 -15px;
    flex-wrap: wrap;
}

[class*="col-"] {
    padding: 0 15px;
}

.col-lg-1,
.col-md-1 {
    flex: 0 0 8.33%;
}

.col-lg-2,
.col-md-2 {
    flex: 0 0 16.666%;
}

.col-lg-3,
.col-md-3 {
    flex: 0 0 25%;
}

.col-lg-4,
.col-md-4 {
    flex: 0 0 33.3333%;
}

.col-lg-5,
.col-md-5 {
    flex: 0 0 41.666%;
}

.col-lg-6,
.col-md-6 {
    flex: 0 0 50%;
}

.col-lg-7,
.col-md-7 {
    flex: 0 0 58.333%;
}

.col-lg-8,
.col-md-8 {
    flex: 0 0 66.66%;
}

.col-lg-9,
.col-md-9 {
    flex: 0 0 75%;
}

.col-lg-10,
.col-md-10 {
    flex: 0 0 83.333%;
}

.col-lg-11,
.col-md-11 {
    flex: 0 0 91.666%;
}

.col-lg-12,
.col-md-12 {
    flex: 0 0 100%;
}

@media (max-width: 768px) {
    [class*="col-"] {
        flex: 0 0 100%;
    }
}

.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
    line-height: normal;
    font-weight: normal;
}

.logo {
    max-width: 20rem;
    display: block;
    margin: auto;
    background: #fff;
}

.form-card {
    /* width: 40rem; */
    /* max-width: 90%; */
    margin: auto;
    margin-top: 2rem;
    padding: 1.8rem;
    border: .15rem solid var(--main-color);
    border-radius: var(--border-rad);
}

.page-title {
    padding: .3rem 1rem .3rem 1rem;
    background-color: var(--main-color);
    color: var(--bg-color);
    width: max-content;
    font-size: 1.4em;
    position: relative;
    margin: 0;
    margin-left: 1rem;
    font-weight: 600;
}

.page-title::before {
    content: '';
    position: absolute;
    left: -1rem;
    top: 0;
    height: 100%;
    width: .5rem;
    background: var(--main-color);
}

.section {
    padding: 2rem 0;
    position: relative;
}

.section:not(:last-of-type) {
    border-bottom: .1rem solid var(--main-color);
}

.section-head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 1rem;
    gap: .4rem;
}

.section-title {
    padding-left: 1rem;
    position: relative;
    height: 1.5rem;
    margin: 0;
    font-size: 1.24rem;
    font-weight: 600;
}

.section-title::before {
    content: '';
    position: absolute;
    left: 0rem;
    top: 35%;
    height: .5rem;
    width: .5rem;
    background: var(--main-color);
}

.section-bottom {
    margin-top: 1rem;
}

/* .section:first-of-type {
    padding-top: 0;
} */

input.check {
    display: none;
}

.check-label {
    background-color: #a0a0a0;
    position: relative;
    width: 2.6rem !important;
    min-width: 2.6rem !important;
    height: 1.3rem !important;
    border-radius: 1.3rem;
    display: inline-block;
}

.check-label::after {
    content: '';
    background-color: #cacaca;
    position: absolute;
    top: 0;
    left: 0;
    width: 1.3rem;
    height: 1.3rem;
    border-radius: 1.3rem;
    transition: .3s;
}


input.check:checked+.check-label {
    background-color: #fff;
}

input.check:checked+.check-label::after {
    background-color: var(--main-color);
    right: 0;
    left: auto;
}

.over-box {
    position: absolute;
    top: 4rem;
    left: 0;
    background: #dddddd00;
    right: 0;
    bottom: 0;
    z-index: 2;
}


.field {
    padding: .5rem 0;
    display: flex;
    align-items: center;
}

.field label {
    width: 6.4rem;
    min-width: 6.4rem;
    display: inline-block;
    margin: 0;
    font-weight: normal;
}

.field .input,
.field .textarea {
    border-radius: .2rem;
    padding: .5rem;
    width: calc(100% - 6.2rem);
    color: #000;
}

.field .richtexteditor {
    color: #000;
}

.field .input:focus,
.field .textarea:focus {
    box-shadow: 0 0 .15rem .15rem var(--main-color);
}

.field .input:read-only,
.field .textarea:read-only {
    background-color: var(--dark-color);
    color: #fff;
    outline: 1px solid #686868;
}

.field .input:read-only:focus,
.field .textarea:read-only:focus {
    box-shadow: none;
}

.items {
    padding: 1rem;
    border: 1px solid #575757;
    margin: 1rem 0;
}

.items .item:not(:last-child) {
    border-bottom: .1rem solid #575757;
}

.btn-form {
    width: 100%;
    background-color: var(--main-color);
    color: var(--dark-color);
    margin-top: 1rem;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: .7rem;
}

.btn-form .icon {
    width: 1.5rem;
}

.btn-action {
    background-color: var(--dark-color);
    border: var(--main-color) solid .1rem;
    border-radius: var(--border-rad);
}

.total {
    display: flex;
    align-items: center;
    width: 100%;
}

label.box-img {
    border: 1px dashed #ddd;
    padding: 15px;
    margin: 15px 0;
    display: inline-block;
    width: 100%;
    text-align: center;
    cursor: pointer;
}

label.box-img {
    margin: auto;
}

input.status~* label.check-label {
    cursor: pointer;
}

input.status:not(:checked)~* {
    color: #525252;
}

input.status:not(:checked)~* input,
input.status:not(:checked)~* label.check-label {
    background-color: #525252 !important;
    color: #232020 !important;
}

input.status:not(:checked)~* label.status-check-label {
    background-color: #dbdbdb !important;
}

input.status:not(:checked)~* label.check-label::after {
    background-color: #3d3d3d;
    color: #232020;
}

input.status:not(:checked)~* * {
    border-color: #525252;
    user-select: none;
}

input.status:not(:checked)~* .section-title::before {
    background: #525252;
}

input.status:checked~.over-box {
    display: none;
}

input.status:checked~* .status-check-label {
    background-color: #fff;
}

input.status:checked~* .status-check-label::after {
    background-color: var(--main-color);
    right: 0;
    left: auto;
}

input.status:not(:checked)~.bill-inputs {
    display: none;
}

input.status:not(:checked)~* .table-btns button {
    display: none;
}

.table-btns {
    display: flex;
    align-items: center;
    justify-content: end;
    gap: .4rem;
}

.table-btns button {
    padding: 0 .5rem;
}

.summary-page {
    border-top: .1rem solid var(--main-color);
    padding-top: 2rem;
    margin-top: 2rem;
}

.summary-table {
    padding: .4rem 1rem;
    width: 100%;
    /* border-spacing: 0; */
}

.summary-table thead td,
.summary-table tfoot td {
    font-weight: bold;
    background-color: #232020;
}

.summary-table tr td {
    /* border: .1rem solid #fff; */
    padding: .7rem;
}

.summary-table tr td:not(:last-child) {
    border-right: none;
}

.note-editor {
    color: #000;
    width: 100%;
}

.note-editor.note-airframe .note-editing-area .note-editable,
.note-editor.note-frame .note-editing-area .note-editable {
    padding: 19px;
}

.message-alert {
    color:#ff4444;
    margin-bottom: .5rem;
}

#exportContent {
    display: none;
}